# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2010 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.
#javac.compilerargs=-Xlint:unchecked
nbroot=../..
javac.source=1.6
javadoc.name=Java Source
javadoc.title=Java Source
javadoc.arch=${basedir}/arch.xml
javadoc.apichanges=${basedir}/apichanges.xml
spec.version.base=0.110.1
test.qa-functional.cp.extra=${refactoring.java.dir}/modules/ext/nb-javac-api.jar
test.unit.run.cp.extra=${o.n.core.dir}/core/core.jar:\
    ${o.n.core.dir}/lib/boot.jar:\
    ${editor.mimelookup.impl.dir}/modules/org-netbeans-modules-editor-mimelookup-impl.jar

# requires nb.javac for compiling of tests on Mac
requires.nb.javac=true

test.config.generate.includes=\
    **/SourceGeneratingSuite.class

test.config.gui.includes=\
    **/GuiSuite.class

test.config.hints.includes=\
    **/HintsSuite.class

test.config.navigation.includes=\
    **/NavigationSuite.class

test.config.parser.includes=\
    **/ParserTest.class

test.config.rename.includes=\
    **/InstantRename.class

test.config.stable.includes=\
    **/StableSuite.class

# timeout 60minutes for all java tests
test.timeout=3600000

test.config.core.includes=\
    org/netbeans/api/java/source/ElementHandleTest.class,\
    org/netbeans/modules/java/source/usages/ClassIndexManagerTest.class,\
    org/netbeans/modules/java/source/indexing/SourcePrefetcherTest.class

test.config.generator.includes=\
    org/netbeans/api/java/source/gen/ConstructorTest.class,\
    org/netbeans/api/java/source/gen/ConstructorRenameTest.class,\
    org/netbeans/api/java/source/gen/Method1Test.class,\
    org/netbeans/api/java/source/gen/MethodTest4.class,\
    org/netbeans/api/java/source/gen/PackageTest.class,\
    org/netbeans/api/java/source/gen/MethodParametersTest.class,\
    org/netbeans/api/java/source/gen/MethodTypeParametersTest.class,\
    org/netbeans/api/java/source/gen/ArraysTest.class,\
    org/netbeans/api/java/source/gen/MethodBodyTest.class,\
    org/netbeans/api/java/source/gen/MethodBodyTextTest.class,\
    org/netbeans/api/java/source/gen/MethodThrowsTest.class,\
    org/netbeans/api/java/source/gen/ImportsTest.class,\
    org/netbeans/api/java/source/gen/ImportFormatTest.class,\
    org/netbeans/api/java/source/gen/ClassImplementsTest.class,\
    org/netbeans/api/java/source/gen/InterfaceExtendsTest.class,\
    org/netbeans/api/java/source/gen/InterfaceTest.class,\
    org/netbeans/api/java/source/gen/ClassExtendsTest.class,\
    org/netbeans/api/java/source/gen/FieldTest1.class,\
    org/netbeans/api/java/source/gen/FieldGroupTest.class,\
    org/netbeans/api/java/source/gen/VarArgsTest.class,\
    org/netbeans/api/java/source/gen/ClassMemberTest.class,\
    org/netbeans/api/java/source/gen/FeatureAddingTest.class,\
    org/netbeans/api/java/source/gen/AddCastTest.class,\
    org/netbeans/api/java/source/gen/BodyStatementTest.class,\
    org/netbeans/api/java/source/gen/TwoModificationsTest.class,\
    org/netbeans/api/java/source/gen/AnnotationOnLocVarTest.class,\
    org/netbeans/api/java/source/gen/ModifiersTest.class,\
    org/netbeans/api/java/source/gen/TryTest.class,\
    org/netbeans/api/java/source/gen/TypeParameterTest.class,\
    org/netbeans/api/java/source/gen/CommentsTest.class,\
    org/netbeans/api/java/source/gen/OperatorsTest.class,\
    org/netbeans/api/java/source/gen/AnonymousClassTest.class,\
    org/netbeans/api/java/source/gen/TopLevelTest.class,\
    org/netbeans/api/java/source/gen/BrokenSourceTest.class,\
    org/netbeans/api/java/source/gen/SyntetickejTest.class,\
    org/netbeans/api/java/source/gen/EnumTest.class,\
    org/netbeans/api/java/source/gen/FormatingTest.class,\
    org/netbeans/api/java/source/gen/NewClassTreeTest.class,\
    org/netbeans/api/java/source/gen/ForLoopTest.class,\
    org/netbeans/api/java/source/gen/IfTest.class,\
    org/netbeans/api/java/source/gen/RefactoringRegressionsTest.class,\
    org/netbeans/api/java/source/gen/CompilationUnitTest.class,\
    org/netbeans/api/java/source/gen/ParameterizedTypeTest.class,\
    org/netbeans/api/java/source/gen/GuardedBlockTest.class,\
    org/netbeans/api/java/source/gen/RewriteOccasionalStatements.class,\
    org/netbeans/api/java/source/gen/MultiCatchTest.class,\
    org/netbeans/api/java/source/CommentCollectorTest.class,\
    org/netbeans/api/java/source/gen/RewriteInCommentTest.class,\
    org/netbeans/api/java/source/gen/MoveTreeTest.class,\
    org/netbeans/api/java/source/gen/BlockTest.class,\
    org/netbeans/api/java/source/gen/ImportAnalysisTest.class,\
    org/netbeans/api/java/source/gen/ImportAnalysis2Test.class,\
    org/netbeans/modules/java/source/save/DiffFacilityTest.class,\
    org/netbeans/api/java/source/gen/RewriteMultipleExpressionsTest.class,\
    org/netbeans/api/java/source/WorkingCopyTest.class,\
    org/netbeans/api/java/source/gen/AnnotationTest.class,\
    org/netbeans/api/java/source/gen/WrappingTest.class

test.config.jet-main.includes=\
    ${test.config.core.includes},\
    ${test.config.generator.includes},\
    org/netbeans/api/java/source/TypeUtilitiesTest.class,\
    org/netbeans/api/java/source/TreePathHandleTest.class,\
    org/netbeans/api/java/source/ModificationResultTest.class,\
    org/netbeans/api/java/source/ScanUtilsTest.class,\
    org/netbeans/modules/java/source/save/FormatingTest.class,\
    org/netbeans/modules/java/source/save/ReindenterTest.class,\
    org/netbeans/modules/java/source/indexing/*Test.class,\
    org/netbeans/modules/java/source/javac/AnonymousNumberingTest.class,\
    org/netbeans/modules/java/JavaNodeTest.class,\
    org/netbeans/modules/java/source/javac/CouplingTest.class,\
    org/netbeans/api/java/source/TranslateIdentifierTest.class

test.config.stableBTD.includes=**/*Test.class
test.config.stableBTD.excludes=\
    org/netbeans/test/**/*,\
    org/netbeans/api/java/source/gen/*,\
    **/AddMethodToInterfaceTemplateTest.class,\
    **/AnnotationTest.class,\
    **/APIIsSelfContainedTest.class,\
    **/BasicPerformanceTest.class,\
    **/BreakContinueTest.class,\
    **/CachingFolderArchiveTest.class,\
    **/CachingZipArchiveTest.class,\
    **/ClassIndexTest.class,\
    **/ClasspathInfoTest.class,\
    **/ClassPathRootsListenerTest.class,\
    **/CodeGeneratorTest.class,\
    **/CommentHandlerServiceTest.class,\
    **/CommentsTest.class,\
    **/CompilationInfoTest.class,\
    **/CompilationUnitTest.class,\
    **/ElementsTest.class,\
    **/FileManagerTest.class,\
    **/FormatingTest.class,\
    **/GeneratorUtilitiesTest.class,\
    **/ImportAnalysisTest.class,\
    **/IndexerTransactionTest.class,\
    **/JavaSourceTaskFactoryTest.class,\
    **/JavaSourceTest.class,\
    **/LabelsTest.class,\
    **/LookupBasedJavaSourceTaskFactoryTest.class,\
    **/LucenePerformanceTest.class,\
    **/MemberAdditionTest.class,\
    **/ModificationResultTest.class,\
    **/MoveTreeTest.class,\
    **/PerfBatchCompilationTest.class,\
    **/PerfJavacIntefaceGCTest.class,\
    **/PerfResolveTest.class,\
    **/PerfZipJarOpenTest.class,\
    **/ScanInProgressTest.class,\
    **/SourceUtilsTest.class,\
    **/TestUtilitiesTest.class,\
    **/TestUtilTest.class,\
    **/TreeLoaderTest.class,\
    **/TreePathHandleTest.class,\
    **/TreeUtilitiesTest.class,\
    **/TypeMirrorHandleTest.class,\
    **/TypeUtilitiesTest.class,\
    **/UiUtilsTest.class,\
    **/WorkingCopyTest.class,\
    **/TranslateIdentifierTest.class
